# DataGridViewCellMouseEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [MouseEventArgs](/api/wisej.web/general/control/wisej.web.mouseeventargs.md)
  * [DataGridViewCellMouseEventArgs](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellmouseeventargs.md)

Provides data for mouse events raised by a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataGridViewCellMouseEventArgs : MouseEventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataGridViewCellMouseEventArgs
    Inherits MouseEventArgs
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) ColumnIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the zero-based column index of the cell.

### ![](/files/hsR4ok3152WyAf8J2C1u) RowIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the zero-based row index of the cell.

## Used By

| Name                                                                                                                            | Description                                                                                                                             |
| ------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridViewCellMouseEventHandler](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellmouseeventhandler.md) | Represents the method that will handle mouse-related events raised by a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellmouseeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
